Bug 975280 - Boot on laptop with LVDS radeon goes to black screen
Boot on laptop with LVDS radeon goes to black screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 22:25 EDT by William Brown
Modified: 2015-02-17 10:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:36:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal.log (220.65 KB, text/plain)
2013-07-01 00:41 EDT, Chris Murphy
no flags Details
lspci (41.90 KB, text/plain)
2013-07-01 00:42 EDT, Chris Murphy
no flags Details
Xorg.0.log (53.82 KB, text/plain)
2013-07-01 00:44 EDT, Chris Murphy
no flags Details
grub.cfg (7.58 KB, text/plain)
2013-07-01 01:02 EDT, Chris Murphy
no flags Details
journal.log 3.9.8-debug (196.67 KB, text/plain)
2013-07-01 02:23 EDT, Chris Murphy
no flags Details

  None (edit)
Description William Brown 2013-06-17 22:25:57 EDT
Description of problem:
Since kernel 3.9 booting with an LVDS radeon from EFI causes the laptop display to go black. As background, this laptop is a dual gpu with radeon and intel graphics. Booting to the intel graphics I have a working display and backlight.

Booting to the radeon, after systemd output is complete, as Xorg starts the display fades to black and cannot be restored.

Checking the brightness from the kernel (both brightness and actual_brightness)  I can see these are both set to 255 (max). 
/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card1/card1-LVDS-2/radeon_bl1/actual_brightness


There are no errors in Xorg.0.log, and in fact an external display can be connected and operates correctly.

There are no errors in dmesg.

Gui tools like gnome power manager appear to report that the backlight cannot be changed at all.

Any ideas on where to go from here?
Comment 1 William Brown 2013-06-26 11:16:53 EDT
plymouth does not display. Pressing esc shows dmesg output, and pressing escape again leaves dmesg display but stops updating. Esc again goes back to dmesg output.

Should mention kernel version is 3.9.5-301.fc19.x86_64

Dmesg of a boot (That fades to black) is

Jun 27 00:35:18 franky kernel: [    3.465498] [drm] radeon kernel modesetting enabled.
Jun 27 00:35:18 franky kernel: [    3.466823] fb: conflicting fb hw usage radeondrmfb vs EFI VGA - removing generic driver
Jun 27 00:35:18 franky kernel: [    3.765783] radeon 0000:01:00.0: Invalid ROM contents
Jun 27 00:35:18 franky kernel: [    3.766627] radeon 0000:01:00.0: Invalid ROM contents
Jun 27 00:35:18 franky kernel: [    3.772134] radeon 0000:01:00.0: VRAM: 1024M 0x0000000000000000 - 0x000000003FFFFFFF (1024M used)
Jun 27 00:35:18 franky kernel: [    3.772912] radeon 0000:01:00.0: GTT: 512M 0x0000000040000000 - 0x000000005FFFFFFF
Jun 27 00:35:18 franky kernel: [    3.777745] [drm] radeon: 1024M of VRAM memory ready
Jun 27 00:35:18 franky kernel: [    3.777745] [drm] radeon: 512M of GTT memory ready.
Jun 27 00:35:18 franky kernel: [    3.777817] radeon 0000:01:00.0: radeon: using MSI.
Jun 27 00:35:18 franky kernel: [    3.777851] [drm] radeon: irq initialized.
Jun 27 00:35:18 franky kernel: [    3.781373] radeon 0000:01:00.0: WB enabled
Jun 27 00:35:18 franky kernel: [    3.781375] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000040000c00 and cpu addr 0xffff8804532e9c00
Jun 27 00:35:18 franky kernel: [    3.781377] radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000040000c0c and cpu addr 0xffff8804532e9c0c
Jun 27 00:35:18 franky kernel: [    3.849681] [drm] radeon atom DIG backlight initialized
Jun 27 00:35:18 franky kernel: [    3.873088] [drm] radeon: power management initialized
Jun 27 00:35:18 franky kernel: [    4.132484] fbcon: radeondrmfb (fb1) is primary device
Jun 27 00:35:18 franky kernel: [    4.597725] radeon 0000:01:00.0: fb1: radeondrmfb frame buffer device
Jun 27 00:35:18 franky kernel: [    4.597816] [drm] Initialized radeon 2.30.0 20080528 for 0000:01:00.0 on minor 1
Comment 2 Chris Murphy 2013-06-28 21:55:44 EDT
I have a Macbook Pro 8,2 with Intel and AMD Radeon HD 6750M and I'm not having this problem. I'm not getting plymouth but that may be because I've installed on SSD and the boot time is quite fast, less than 10 seconds to gdm/login.

But I can't tell whether the radeon or intel graphics are being used.
Comment 3 William Brown 2013-06-30 22:46:00 EDT
I have the 8,2 with 6770m. 

Do you have any lines in grub2 like (outb 0x7**). If so, you are likely on the intel GPU. check Xorg.0.log for what display you are using.

Also, I have SSD also, but same issue. I am using luks, but I don't think that it makes a difference.
Comment 4 Chris Murphy 2013-07-01 00:41:27 EDT
I've made no changes from defaults regarding grub, so it has what anaconda and grub2-mkconfig normally produce.
Comment 5 Chris Murphy 2013-07-01 00:41:53 EDT
Created attachment 767216 [details]
journal.log
Comment 6 Chris Murphy 2013-07-01 00:42:04 EDT
Created attachment 767217 [details]
lspci
Comment 7 Chris Murphy 2013-07-01 00:44:26 EDT
Created attachment 767218 [details]
Xorg.0.log

I do get weird artifacts over the entire display after the grub menu, during the time I'd expect to see plymouth. But it clears up once I'm at gdm/login window. Upon logging in, perhaps 5% of the display has weird artifacts, but they clear up. I haven't really hammered on this with many apps so I don't know how stable the environment is, but at least using Firefox it remains stable. The display is the built-in display only, no external is connected.
Comment 8 Chris Murphy 2013-07-01 01:02:00 EDT
Created attachment 767223 [details]
grub.cfg
Comment 9 William Brown 2013-07-01 01:16:29 EDT
Yep, you are definitely on the radeon.
Comment 10 William Brown 2013-07-01 01:25:14 EDT
So there are certainly problems with the radeon but perhaps the issues we are experiencing are different either because:

A) We have different GPUs
B) They are different issues
C) Some other influence

Either way, any debugging information that is needed I can provide.
Comment 11 Chris Murphy 2013-07-01 02:23:52 EDT
Created attachment 767246 [details]
journal.log 3.9.8-debug

xorg has a -logverbose 3 default, that can be changed to something higher but I haven't yet figured out how to do this. When I switch to the debug kernel, I get a possible recursive locking detected message related to Xorg, drm and intel. So it may be useful to either use the debug kernel, and/org do a sysrq-d if you're also getting locks.
Comment 12 Fedora End Of Life 2015-01-09 13:27:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:36:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.